routes/admin.php
<?php
// Emails tests
// Route::get('mailable', function () {
//     $user = App\User::find(1);
//     return new App\Mail\AdminNewUser($user);
// });
// Admin specific routes
Route::get('/', ['as' => 'root', 'uses' => 'ArticlesController@index']);
Route::get('users/getdata', 'UsersController@getDataTable')->name('users.getdata');
Route::resource('users', 'UsersController');
Route::get('roles/getdata', 'RoleController@getDataTable')->name('roles.getdata');
Route::resource('roles', 'RoleController');
Route::get('permissions/getdata', 'PermissionController@getDataTable')->name('permissions.getdata');
Route::resource('permissions', 'PermissionController');
Route::resource('roles', 'RoleController');
Route::get('articles/getdata', 'ArticlesController@getDataTable')->name('articles.getdata');
Route::resource('articles', 'ArticlesController');


Route::get('pages/{parent_id}/getdata', 'PagesController@getDataTable')->name('pages.getdata');
Route::resource('pages', 'PagesController', ['except' => ['create', 'index']]);
Route::get('pages/{parent_id}/create', 'PagesController@create')->name('pages.create');
Route::get('pages/{parent_id?}/index', 'PagesController@index')->name('pages.index');
Route::post('pages/reorder/{id}', 'PagesController@reorder')->name('pages.reorder');
Route::resource('settings', 'SettingsController');
//taxonomies
Route::get('taxonomies/getdata', 'TaxonomiesController@getDataTable')->name('taxonomies.getdata');
Route::resource('taxonomies', 'TaxonomiesController', ['except' => ['create']]);
Route::get('taxonomies/create/{parent_id}', 'TaxonomiesController@create')->name('taxonomies.create');
Route::post('taxonomies/reorder/{id}', 'TaxonomiesController@reorder')->name('taxonomies.reorder');
Route::post('{table_type}/reorder', 'AdminController@orderObject')->name('reorder');
// Medias
Route::get('medias/getdata', 'MediasController@getDataTable')->name('medias.getdata');
Route::delete('medias/quickdestroy', 'MediasController@quickDestroy')->name('medias.quickdestroy');
Route::resource('medias', 'MediasController');
Route::get('getMediasFromArticle/{model_type}/{model_id}/{collection_name}', 'MediasController@getMediasFromArticle')->name('medias.article');
Route::post('medias/ajaxStore/{mediatable_type}/{article_id?}', 'MediasController@ajaxStore')->name('medias.ajaxstore');
Route::get('medias/ajaxGet/{id}', 'MediasController@ajaxGet')->name('medias.ajaxget');
Route::post('medias/reorder/{model_type}/{article_id}/{collection_name}', 'MediasController@reorder')->name('medias.reorder');
Route::post('medias/setfocalpoint', 'MediasController@setFocalPoint')->name('medias.setfocal');
// Route::post('medias/get', 'MediasController@getFromArray');
Route::post('medias/AjaxMediaUpdate/{mediatable_type}', 'MediasController@AjaxMediaUpdate')->name('medias.ajaxmediaupdate');
Route::post('fileupload', 'MediasController@fileUpload')->name('fileupload');
// Datatables
Route::get('datatable', 'DataTablesController@datatable');
Route::get('datatable/getArticles', 'DataTablesController@getArticles')->name('datatable/getdata');

routes/web.php
<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

// Auth
Auth::routes();

// Language switcher
Route::get('lang/{language}', ['as' => 'lang.switch', 'uses' => 'LocaleController@switch']);
// Homepage
Route::get('/', 'HomeController@index')->name('homepage');
// Pages index
Route::get('/pages/{article_slug}', 'PagesController@show')->name('pages.show');
Route::get('/pages', 'PagesController@show')->name('pages.index');
// Article : view
Route::get('/{article_slug}', 'ArticlesController@show')->name('articles.show');

resources/views/admin/components/article-form.blade.php
{!! Form::hidden('id', (!empty($article->id))? $article->id : '') !!}
{!! Form::hidden('parent_id', (!empty($article->parent_id) ? $article->parent_id : 0)) !!}
{!! Form::hidden('order', (!empty($article->order))? $article->order : 0) !!}

@foreach ($errors->all() as $error)
    <span class="help-block">{{ $error }}</span>
@endforeach

  {{-- tabs --}}
  <div class="panel-heading">
    <ul class="tab-select">
    @if(count(config('translatable.locales')) > 1 )
      @foreach (config('translatable.locales') as $lang)<li role="presentation" data-tab="{{$lang}}"@if(App::getLocale() == $lang) class="active" @endif>
        <a href="#" role="tab">{{$lang}}</a>
      </li>@endforeach
    @endif
    </ul>
    <div class="edit-details">
      @if(isset($article->id))
      <div class="created_at">
        {!! Form::text('created_at', $article->created_at->format('d.m.Y'), ['class' => 'form-control']) !!}
      </div>
      @endif
      {{-- Is published ? --}}
      <div class="is-published">
          <label>{!! Form::checkbox('published', 1, null) !!}<span>{{__('admin.published')}}</span></label>
      </div>
    </div>
  </div>
  <div class="panel-body">
    <div class="tab-content">
      {{-- lang panels  --}}
      @foreach (config('translatable.locales') as $lang)
      <div id="tab{{ $lang }}" class="tab-pane @if(App::getLocale() == $lang) active @endif">
        {{-- Title --}}
        <div class="form-group {!! $errors->has('title') ? 'has-error' : '' !!}">
          <label for="title">Title ({{$lang}})</label>
          {!! Form::text($lang.'[title]', (!empty($article->id) && !empty($article->translate($lang)->title))? $article->translate($lang)->title : old('title'), ['class' => 'form-control', 'placeholder' => 'Title']) !!}
          <span class="slug">
            @if(isset($article->slug))
            <i class="fa fa-link "></i>&nbsp;{{ (!empty($article->id) && !empty( $article->translate($lang)->slug))? $article->translate($lang)->slug : '' }}
            @endif
          </span>
        </div>
        {{-- Intro --}}
        {{-- <div class="form-group {!! $errors->has('intro') ? 'has-error' : '' !!}">
          <label for="intro">Intro ({{$lang}})</label>
          {!! Form::textarea($lang.'[intro]', (!empty($article->id) && !empty($article->translate($lang)->intro))? $article->translate($lang)->intro : old('intro'), ['class' => 'form-control md-editor', 'placeholder' => 'Introduction', 'rows' => '5']) !!}
        </div> --}}
        {{-- Text --}}
        <div class="form-group {!! $errors->has('text') ? 'has-error' : '' !!}">
          <label for="text">Text ({{$lang}})</label>
          {!! Form::textarea($lang.'[text]', (!empty($article->id) && !empty($article->translate($lang)->text))? $article->translate($lang)->text : old('text'), ['class' => 'form-control md-editor', 'id' => 'editor', 'placeholder' => 'Text']) !!}
        </div>
      </div>
      @endforeach
      {{-- @include('admin.components.editor') --}}
    </div>
  </div>
<div class="panel-body">
  <div class="form-group {!! $errors->has('color') ? 'has-error' : '' !!}">
    <label for="title">Color</label>
    {!! Form::color('color', (!empty($article->id) && !empty($article->color))? $article->color : old('color'), ['class' => '', 'id' => 'color', 'placeholder' => '#fefefe']) !!}
    <br>
    <a id="color-reset" class="slug">Reset to grey</p>
  </div>
</div>
@include('admin.components.form-submit')

resources/views/admin/components/datatable-loading.blade.php
<div class="datatable-loading">{{__('admin.loading')}}</div>

resources/views/admin/components/delete-form.blade.php
<a href="#" class="link link--delete" data-toggle="modal" data-target="#confirm-delete"></i> {{ __('admin.delete') }}</a> {{ __('admin.this') }} {{ str_singular($model_name) }}
{!! Form::model($model, ['route' => ['admin.'.$model_name.'.destroy', $model->id], 'method' => 'post', 'class' => 'form-horizontal', 'name' => 'delete-form']) !!}
  {{ Form::hidden('_method', 'DELETE') }}
  <div class="modal fade" id="confirm-delete" tabindex="-1" role="dialog" aria-labelledby="myModalLabel">
    <div class="modal-dialog" role="document">
      <div class="modal-content">
        <div class="modal-header">
          <h4 class="modal-title" id="myModalLabel">{{ __('admin.are_you_sure') }}</h4>
          <div class="modal-btn">
            <button type="button" class="btn btn-default" data-dismiss="modal">{{ __('admin.cancel') }}</button>
            <button type="button" class="btn btn-primary" onclick="document.forms['delete-form'].submit();">{{ __('admin.delete') }}</button>
          </div>
        </div>
      </div>
    </div>
  </div>
{{ Form::close() }}

resources/views/admin/components/editor.blade.php
<style>
  .menubar {
    border-bottom: 1px solid rgba(0, 0, 0, 0.2);
    line-height: 0.1;
  }
  .menuicon {
    display: inline-block;
    border-right: 1px solid rgba(0, 0, 0, 0.2);
    color: #888;
    line-height: 1;
    padding: 0 7px;
    margin: 1px;
    cursor: pointer;
    text-align: center;
    min-width: 1.4em;
  }
  .strong, .heading { font-weight: bold; }
  .em { font-style: italic; }

  #editor { padding-top: 0 }
</style>

<div id=editor></div>

<div style="display: none" id=content>
  <h3>Simple editor</h3>
  <p>With a very crude menu bar.
</div>

resources/views/admin/components/flash-message.blade.php
@if(Session::has('flash_message'))
  <div class="alert alert-success">{{ Session::get('flash_message')}}</div>
@endif

resources/views/admin/components/footer.blade.php
<footer class="footer__main">
  <ul>
    <li>Variable Web Admin</li>
    <li><a href="mailto:bonjour@variable.club" class="link">bonjour@variable.club</a></li>
  </ul>
</footer>

resources/views/admin/components/media-aside.blade.php
@foreach($article->mediaCollections as $collection)
  <?php
    $single_file = empty($collection->singleFile) ? false : $collection->singleFile;
    $can_add_text = empty($collection->canAddText) ? false : $collection->canAddText;
  ?>
  @include('admin.components.media-panel', ['collection_name' => $collection->name, 'collection_name' => $collection->name, 'collection_title' => $collection->title, 'single_file' => $single_file, 'can_add_text' => $can_add_text])
@endforeach
{{-- !! Mandatory Modal --}}
@include('admin.components.modal-media-edit')

@section('scripts')
<script type="text/javascript">
  const table_type = '{{ $article->getTable() }}';
  const article_id = '{{ $article->id }}';

  $(document).ready(function() {
    // ----- Medias panel display data----- //
    if( $('.media-panel').length ){
      $('.media-panel').each(function( index ) {
        var media_collection_name = $(this).attr('data-media-collection-name');
        // Build media list
        getMedias(media_collection_name);
      });
    }

    // ----- Medias panel add & upload ----- //

    // Upload and store a media w/ Ajax
    var single_media_options = {
      success:  mediaResponse,
      error  :  mediaError,
      dataType: 'json'
    };

    $('body').delegate('.input-media-upload','change', function(){
      var panel = $(this).closest('.media-panel');
      var form = $(this).closest('.single-media-form');
      form.ajaxForm(single_media_options).submit();
      panel.addClass('loading');
    });

    function mediaResponse(response, statusText, xhr, $form){
      if(response.success){
        getMedias(response.collection_name);
      }
    }

    function mediaError(xhr, status, error){
      var err = JSON.parse(xhr.responseText);
      var errors = err.errors;
      for (var key in errors) {
        if (errors.hasOwnProperty(key)) {
          var msg = errors[key][0];
        }
      }
      $('<span class="help-block">' + msg + '</span>').appendTo('body').fadeOut(4000);

    }

    // ----- Media destroy ----- //
    var media_destroy_options = {
      success:       mediaDestroyResponse,
      dataType:      'json'
    };

    $( "body" ).on('click','.link--delete',function(e){
      e.preventDefault();
      $(this).closest('form').ajaxForm(media_destroy_options).submit();
    });

    function mediaDestroyResponse(response, statusText, xhr, $form){
      if(response.success){
        getMedias(response.collection_name);
      }
    }

    // ----- Media edit ----- //
    var media_edit_options = {
      success:       mediaEditResponse,
      dataType:      'json'
    };

    $(".media-edit-save").click(function(e) {
      e.preventDefault();
      $(this).closest('form').ajaxForm(media_edit_options).submit();
    });

    function mediaEditResponse(response, statusText, xhr, $form){
      if(response.success){
        getMedias(response.collection_name);
      }
    }


    // ----- Reorder medias ----- //
    if ( $('.panel.multiple').length ){
      // ----- Media gallery Sortable ----- //
      var el = $('.multiple .sortable');
      // var list = document.getElementById("sortable");
      $(el).each(function (i,e) {
        var sortable = Sortable.create(e, {
          onUpdate: function (evt) {
            var article_id = evt.item.getAttribute('data-article-id');
            var media_id   = evt.item.getAttribute('data-media-id');
            var collection_name = evt.item.getAttribute('data-media-collection-name');
            var new_order  = evt.newIndex;
            var model_name = '{{$data['table_type']}}';
            if (article_id && media_id) {
              jQuery.ajax({
                url: admin_url + '/medias/reorder/' + model_name + '/' +  article_id + '/' + collection_name,
                data: {
                  'mediaId' : media_id,
                  'newOrder': new_order,
                },
                type: 'POST',
                success: function(response){
                  if(response.status == 'success'){
                    getMedias(collection_name);
                    $('<span class="help-block">Updated</span>').appendTo('body').fadeOut(4000);
                  } else {
                  }
                }
              });
            }
          }
        });
      })
    }
  }) // End on document ready

  // ----- Get medias list based on colection and print html list  ----- //
  function getMedias(media_collection_name) {
    // mediatable_type = typeof mediatable_type  === 'undefined' ? 'articles' : mediatable_type;
    // TODO: Afficher si aucun contenu
    var main_form_id = 'main-form';
    var article_id = $('#' + main_form_id + ' input[name=id]').val();
    var current_medias = $('#' + main_form_id + ' #' + media_collection_name).val();
    var panel = $("#panel-" + media_collection_name);
    var model_name = '{{$data['table_type']}}';
    // Get from DB
    if(article_id){
      $.ajax({
          dataType: 'JSON',
          url: admin_url+'/getMediasFromArticle/' + model_name + '/' + article_id + '/' + media_collection_name,
      }).done(function(data){
        if(data.success == true){
          printList(data.medias, media_collection_name);
          if(data.medias.length == 0){
            panel.removeClass('hasmedia');
          }else{
            panel.addClass('hasmedia');
          }
          panel.removeClass('loading');
        }
      });
    }else{
      panel.removeClass('loading');
    }
  }


  // ----- Print the media ----- //
  function printList(medias, media_type) {
    var ul = $('#panel-' + media_type + ' .media-list');
    var	li = '';
    // Json Medias loop
    $.each( medias, function( key, value ) {
      if(medias && media_type){
        var focal = JSON.parse( value.focal );
        var focal_top = (focal && focal.top)? focal.top : null ;
        var focal_left = (focal && focal.left)? focal.left : null ;
        // Build <li>
        li = li + `
          <li
            class="list-group-item media-list__item"
            data-media-id="` + value.id + `"
            data-article-id="` + value.mediatable_id + `"
            data-media-collection-name="` + value.collection_name + `"
          >`;
        li = li + '<div class="media__infos"><p class="media__title">' + value.name + '</p>';
        li = li + '<div class="media__actions">';
        li = li + `
          <a href=""
            class="link link--edit"
            data-toggle="modal"
            data-target="#modal-media-edit"
            data-media-collection-name="`+ media_type +`"
            data-media-id="` + value.id + `">
            {{ __('admin.edit') }}
          </a>`;
        li = li + '<span> / </span>';
        li = li + '{!! Form::open(array('route' => array('admin.medias.quickdestroy'))) !!}';
        li = li + '<input name="_method" value="DELETE" type="hidden">';
        li = li + '<input name="collection_name" value="'+ value.collection_name +'" type="hidden">';
        li = li + '<input name="media_id" value="'+ value.id +'" type="hidden">';
        li = li + '<a href="#" class="link link--delete" data-media-collection-name="'+ media_type +'">{{ __('admin.delete') }}</a>';
        li = li + '</form>';
        li = li + '</div>';
        li = li + '</div>';
        //media preview
        if(value.mime_type != null){
          if(value.mime_type.includes("image", 0)){
            li = li + '<div class="media__preview" style="background-image:url(\'/imagecache/thumb/' + value.file_name + '\')"></div>';
          }else if(value.mime_type.includes("pdf", 0)){
            li = li + '<div class="media__preview txt"><span>PDF</span></div>';
          }else if(value.mime_type.includes("video", 0)){
            li = li + '<div class="media__preview txt"><span>VIDEO</span></div>';
          }else if(value.mime_type.includes("text", 0)){
            li = li + '<div class="media__preview txt"><span>TEXT</span></div>';
          }else{
            li = li + '<div class="media__preview txt"><span>FILE</span></div>';
          }
        }else{
          li = li + '<div class="media__preview txt"><span>FILE</span></div>';
        }
        li = li + '</li>';
      }
    });
    // Print html
    ul.html(li);
  }


  // ----- Slugify model name ----- //
  function slugifyModel(str) {
    str = str.replace('App\\', '').toLowerCase();
    return str;
  }

</script>
@endsection

resources/views/admin/components/media-panel.blade.php
<div
  class="panel panel-default media-panel loading {{ $collection_name }} @if(!$single_file) multiple @endif"
  id="panel-{{ $collection_name }}"
  data-media-collection-name="{{ $collection_name}}"
  data-article-model_type="{{ get_class($article) }}"
  >
  <div class="panel-heading">
    <h2>{{ $collection_title }}</h2>
    @if (isset($article->id))
      {!! Form::model($article, ['route' => ['admin.medias.ajaxstore', $article->getTable(), $article->id], 'method' => 'post', 'class' => 'form-horizontal single-media-form', 'autocomplete' => 'off', 'enctype' => 'multipart/form-data', 'files'=>'true']) !!}
      {!! Form::hidden('single_file', $single_file) !!}
      {!! Form::hidden('collection_name', $collection_name) !!}
      <input type="file" name="medias[]" @if(!$single_file) multiple @endif class="input-media-upload" />
      @if($can_add_text)
      <div class="btn-group">
        <a href="#" data-toggle="modal" data-target="#modal-media-edit" data-collection-name="{{ $collection_name }}" class="link--create btn btn-primary btn-xs"> {{__('admin.text')}}</a>
        <a href="#" class="media-upload btn btn-primary btn-xs"> {{__('admin.media')}}</a>
      </div>
      @else
        <a href="#" class="media-upload btn btn-primary btn-xs"> {{__('admin.add')}}</a>
      @endif
      {!! Form::close() !!}
    @else
      <a href="#" class="media-upload btn btn-primary btn-disabled btn-xs"> {{__('admin.add')}}</a>
    @endif
  </div>
  <div class="panel-body">
    @if (isset($article->id))
      <ul class="list-group sortable media-list"></ul>
      <i class="fa fa-ellipsis-h blink"></i>
    @else
      <p class="advice">{{__('admin.save_this_first')}}</p>
    @endif
  </div>
</div>

resources/views/admin/components/modal-media-edit.blade.php
<div class="modal fade" id="modal-media-edit" tabindex="-1" role="dialog" aria-labelledby="myModalLabel">
  <div class="modal-dialog modal-lg" role="document">
    <div class="modal-content">
      <div class="panel panel-default panel-edit panel-edit--single panel-settings">
        {!! Form::model($article,
        ['route' => ['admin.medias.ajaxmediaupdate', $article->getTable()],
        'method' => 'post',
        'class' => 'form-horizontal media-edit-form',
        'name' => 'media-edit-form',
        'enctype' => 'multipart/form-data']) !!}
        {!! Form::hidden('media_id', '', ['id' => 'input_media_id'])!!}
        {!! Form::hidden('collection_name', '', ['id' => 'collection_name'])!!}
        {!! Form::hidden('article_id', $article->id)!!}
        {!! Form::hidden('focal_top', '', ['id' => 'input_focal_top'])!!}
        {!! Form::hidden('focal_left', '', ['id' => 'input_focal_left'])!!}
        <div class="panel-heading">
          <div class="edit__header">
            <h1 class="edit__title">Edit media</h1>
          </div>
        </div>
        <div class="panel-body" id="modal-body">
          <div class="file-container" id="file-container">
              <figure id="picture">
                <img src="" id="img" class="element--img">
                <div class="focal-point" id="focal-point">
                </div>
              </figure>
              <a href="" id="file" target="_blank"></a>
              <video controls id="vid">
                <source src="" type="video/mp4">
              </video>
          </div>
          <div class="form-group">
            <label for="alt">Name</label>
            <input class="form-control" name="name" type="text" value="" id="input_media_name">
          </div>
          {{-- lang loop  --}}
          @foreach (config('translatable.locales') as $lang)
            {{-- Description --}}
            <div class="form-group {!! $errors->has('text') ? 'has-error' : '' !!}" id="media-description-{{$lang}}">
              <label for="description">Text ({{$lang}})</label>
              {!! Form::textarea($lang.'[description]', '',['class' => 'form-control md-editor', 'placeholder' => 'Text']) !!}
            </div>
          @endforeach
          <div class="form-group">
            {{-- [2] = parent_id --}}
            {{-- {!! Form::select('taxonomies[2][]', $article->taxonomiesDropdown(2), $article->tags, ['class' => 'form-control select2', 'multiple', 'style' => 'width:100%']) !!} --}}
          </div>
          <div class="form-group">
            {{-- [1] = parent_id --}}
            {{-- {!! Form::select('taxonomies[1][]', $article->taxonomiesDropdown(1,1), $article->category, ['class' => 'form-control select2', 'style' => 'width:100%', 'id' => '']) !!} --}}
          </div>
        </div>
        <div class="submit panel-action btn-container">
          <button type="button" class="btn btn-primary media-edit-save" data-dismiss="modal">{{__('admin.save')}}</button>
          <button type="button" class="btn btn-default" data-dismiss="modal">{{ __('admin.cancel') }}</button>
        </div>
        {{ Form::close() }}
      </div>
    </div>
  </div>
</div>

resources/views/admin/components/navigation-primary.blade.php
<nav class="navbar navbar--fixed-top nav--primary">
    <div class="navbar__nav">
      <a class="navbar__brand" href="{{ url('/admin') }}">
      </a>
      <ul class="navbar__list navbar__list--left">
        @can('Admin articles')
          @foreach(buildAdminNav() as $primary_nav)
          <li class="@if(!empty($data['table_type']) && strpos($data['table_type'], $primary_nav['title']) !== false) active @endif">{!! link_to_route($primary_nav['name'], ucfirst($primary_nav['title']), 0) !!}</li>
          @endforeach
        @endcan
      </ul>
      <!-- Right Side Of Navbar -->
      <ul class="navbar__list navbar__list--right">
        {{-- <!-- Authentication Links --> --}}
        @if (Auth::guest())
          <li><a href="{{ url('/login') }}">{{__('admin.login')}}</a></li>
          <li><a href="{{ url('/register') }}">{{__('admin.register')}}</a></li>
        @else
          <li class="js-dropdown-toggle tools">
            <a role="button">
              {{ __('admin.tools') }}&nbsp;<i class="fa fa-angle-down js-dropdown-icon"></i>
            </a>
            <ul class="js-dropdown-content" role="menu">
              @can('Admin medias')
              <li class="nav-item">
                <?php $medias_active = (strpos($data['page_id'], 'medias') !== false) ? 'active' : ''; ?>
                {!! link_to_route('admin.medias.index', 'Medias', '', ['class' => $medias_active] ) !!}
              </li>
              @endcan
              @can('Admin categories')
              <li class="nav-item">
                <?php $categories_active = (strpos($data['page_id'], 'taxonomies') !== false) ? 'active' : ''; ?>
                {!! link_to_route('admin.taxonomies.index', 'Categories', '', ['class' => $categories_active] ) !!}
              </li>
              @endcan
              @can('Admin users')
              <li class="nav-item">
                <?php $users_active = (strpos($data['page_id'], 'users') !== false) ? 'active' : ''; ?>
                {!! link_to_route('admin.users.index', __('admin.users'), '', ['class' => $users_active] ) !!}
              </li>
              @endcan
              @can('Admin users')
              <li class="nav-item">
                <?php $roles_active = (strpos($data['page_id'], 'roles') !== false) ? 'active' : ''; ?>
                {!! link_to_route('admin.roles.index', 'Roles & Permissions', '', ['class' => $roles_active] ) !!}
              </li>
              @endcan
              @can('Admin settings')
              <li class="nav-item">
                <?php $settings_active = (strpos($data['page_id'], 'settings') !== false) ? 'active' : ''; ?>
                {!! link_to_route('admin.settings.index', __('admin.settings'), '', ['class' => $settings_active] ) !!}
              </li>
              @endcan
            </ul>
          </li>
          <li class="js-dropdown-toggle">
            <a role="button">
              {{ Auth::user()->name }}&nbsp;<i class="fa fa-angle-down js-dropdown-icon"></i>
            </a>
            <ul class="js-dropdown-content" role="menu">
              <li><a href="{{ route('logout') }}" onclick="event.preventDefault(); document.getElementById('logout-form').submit();">{{__('admin.logout')}}</a></li>
              {{-- lang --}}
              {{ App::getLocale() }}
              @if(count(config('translatable.locales')) > 1 )
                @foreach (config('translatable.locales') as $lang)
                  @if (App::getLocale() !=  $lang)
                  <li class="lang__item"><a href="{{ route('lang.switch', $lang) }}" class="lang__link">{{ $lang }}</a></li>
                   @endif
                @endforeach
              @endif
            </ul>
          </li>

        @endif
      </ul>
    </div>
</nav>
<nav class="navbar nav--secondary">
  <div class="js-dropdown-menu">

  </div>
</nav>
{{-- Logout form since Lrvl 5.3 arr This prevents other web applications from logging your users out of your application. --}}
<form id="logout-form" action="{{ route('logout') }}" method="POST" style="display: none;">{{ csrf_field() }}</form>

resources/views/admin/components/nestedset-node.blade.php
<li>
  <div class="dd-content @if($node->parent_id == null) root @endif">
    {!! link_to_route('admin.pages.edit', $node->title, $node->id) !!}
  </div>
  <ol class="dd-list">
    @foreach($node->children as $child)
      @include('admin.components.nestedset-node', ['node' => $child])
    @endforeach
  </ol>
</li>

resources/views/admin/components/table-row-pages.blade.php
<tr
  class="published published-{!! $node->published !!}"
  data-mediatable-type="{!! snake_case(str_plural(class_basename($node))) !!}"
  data-parent-id="{!! $node->parent_id !!}"
  data-article-id="@if(!empty($node->id)){{$node->id}}@endif"
>
  <td>
    <i class="fa fa-circle fa-published"></i>
    <?php $route_name = 'admin.'.snake_case(str_plural(class_basename($node))).'.edit'; ?>
    {!! link_to_route($route_name, $node->title, [$node->id], ['class' => '']) !!}
  </td>
  @if($parent_id == 0)
    <td class="attribute">
      <a href="{{ route('admin.pages.index', $node->id) }}">&darr; </a></td>
  @else
  <td class="attribute time">{{ $node->created_at }}</td>
  @endif
  {{-- @if(count($node->children) > 0)
    <table>
    @foreach ($node->children  as $node)
      @include('admin.components.table-row-pages')
    @endforeach
    </table>
  @endif --}}
</tr>